aboutsummaryrefslogtreecommitdiffstats
path: root/main/gtk+2.0/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-02-14 10:26:25 -0600
committerWilliam Pitcock <nenolod@dereferenced.org>2011-02-14 10:27:51 -0600
commit146c3cb6eb764f9b017cc5cd03b98cb3ec8f60b3 (patch)
treefd278ac71664bc5351281010f62edd586dcfac72 /main/gtk+2.0/APKBUILD
parente04cf8241b2b1a7da94064bf3edb2b26b9e2bf46 (diff)
downloadaports-146c3cb6eb764f9b017cc5cd03b98cb3ec8f60b3.tar.gz
aports-146c3cb6eb764f9b017cc5cd03b98cb3ec8f60b3.tar.bz2
aports-146c3cb6eb764f9b017cc5cd03b98cb3ec8f60b3.tar.xz
main/gtk+2.0: rename from gtk+ for gtk+3.0 transition
Diffstat (limited to 'main/gtk+2.0/APKBUILD')
-rw-r--r--main/gtk+2.0/APKBUILD57
1 files changed, 57 insertions, 0 deletions
diff --git a/main/gtk+2.0/APKBUILD b/main/gtk+2.0/APKBUILD
new file mode 100644
index 0000000000..3730d35fae
--- /dev/null
+++ b/main/gtk+2.0/APKBUILD
@@ -0,0 +1,57 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gtk+2.0
+pkgver=2.22.1
+pkgrel=0
+pkgdesc="The GTK+ Toolkit (v2)"
+url="http://www.gtk.org/"
+install="$pkgname.post-install $pkgname.post-upgrade $pkgname.post-deinstall"
+triggers="$pkgname.trigger:/usr/share/icons/*"
+arch="all"
+license="LGPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="shared-mime-info"
+makedepends="pkgconfig
+ atk-dev
+ cairo-dev
+ cups-dev
+ expat-dev
+ gdk-pixbuf-dev
+ gettext-dev
+ glib-dev
+ gnutls-dev
+ gobject-introspection
+ libice-dev
+ libiconv-dev
+ jpeg-dev>=8
+ libx11-dev
+ libxcomposite-dev
+ libxcursor-dev
+ libxdamage-dev
+ libxext-dev
+ libxfixes-dev
+ libxrandr-dev
+ libxi-dev
+ pango-dev
+ tiff-dev
+ zlib-dev"
+source="http://ftp.gnome.org/pub/gnome/sources/gtk+/${pkgver%.*}/gtk+-$pkgver.tar.bz2"
+
+depends_dev="atk-dev pango-dev cairo-dev glib-dev intltool gdk-pixbuf-dev"
+
+build() {
+ cd "$srcdir"/gtk+-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-xinput=yes \
+ --without-libjasper \
+ --with-included-loaders=png || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/gtk+-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="fdce46ba354c155230b7d4090b17f7d9 gtk+-2.22.1.tar.bz2"